# eric3.Wizards.FontDialogWizard.FontDialogWizard

Module implementing the font dialog wizard.

### Classes

FontDialogWizard | Class implementing the font dialog wizard.

### Functions

None

## FontDialogWizard

Class implementing the font dialog wizard.

### Derived from

WizardIFace

### Methods

FontDialogWizard | Constructor
callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

### FontDialogWizard (Constructor)

FontDialogWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

### FontDialogWizard.callForm

callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

### FontDialogWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

### FontDialogWizard.handle

handle()

Worker method associated with the wizard action

### FontDialogWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up